const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const coin_conversions = sequelize.define(
    'coin_conversions',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

from_doodlecoins: {
        type: DataTypes.INTEGER,
      
      

      },

to_supercharged: {
        type: DataTypes.INTEGER,
      
      

      },

rate_from: {
        type: DataTypes.INTEGER,
      
      

      },

rate_to: {
        type: DataTypes.INTEGER,
      
      

      },

converted_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  coin_conversions.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





























//end loop



    db.coin_conversions.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });




    db.coin_conversions.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.coin_conversions.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return coin_conversions;
};


